Bug 119828 - Default ancestors denorm not updated when removeChild is called
Default ancestors denorm not updated when removeChild is called
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
Depends On:
  Show dependency treegraph
Reported: 2004-04-02 09:51 EST by Daniel Berrange
Modified: 2007-04-18 13:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-02 13:48:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-04-02 09:51:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create two categories
2. Make one a child of the other
3. Remove the child using 'parent.removeChild(child)'

Actual Results:  The default ancestors field in the DB for the
ex-child category still refers to the original path. ie /0001/0002/
instead of /0002/.

Expected Results:  The denormalization is updated whenever the
category mappings change.

Additional info:

This is already causing corruption in production installs, so a script
to fixup the denormalization will be required when resolving this bug.
Comment 1 Daniel Berrange 2004-04-06 13:03:52 EDT
Turned out to be rather simple fix in the removeChild(Category) method
- p4 42007.
Comment 2 David Lawrence 2006-07-17 23:59:44 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 3 Daniel Berrange 2006-09-02 13:48:02 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.